
fix = read_asc(fix_file);
t   = fix(:,1);
lon = fix(:,2);
lat = fix(:,3);
clear fix

time_range = [to_date(year_base, t(1)) ' to ' to_date(year_base, t(length(t)))]
if ~isempty(find(abs(diff(lon)) > 100))  % must've crossed dateline
  ineg = find(lon < 0.0);   % use 0-360 longitude range
  lon(ineg) = lon(ineg) + 360.0;
end
min_lon = floor(min(lon));
min_lat = floor(min(lat));
yrange = ceil(max(abs(max(lon) - min_lon), abs(max(lat) - min_lat)));
ax = [floor(t(1)) ceil(t(length(t)))];

clf
subplot(211)
plot(lon, lat, plot_symbol)
axis('equal')
grid
title([cruise_id ': Cruise Track (' time_range ')'])
xlabel('Longitude')
ylabel('Latitude')

subplot(413)
plot(t, lon, plot_symbol)
axis([ax min_lon min_lon+yrange])
grid
ylabel('Longitude')
xlabel([int2str(year_base) ' decimal days'])

subplot(414)
plot(t, lat, plot_symbol)
axis([ax min_lat min_lat+yrange])
grid
ylabel('Latitude')

orient tall
print cruistrk

